Welcome to LanToucher Network Chat

Thank you for choosing

LanToucher Network Chat!

instant messaging software for your small private network or intranet

This easy-to-use LAN messaging program with simple, intuitive user interface and a minimum of settings to adjust is an easy text communication solution for your office LAN and a perfect chat program for your private home network or intranet.

Designed for chatting over small home LANs, LanToucher Network Chat uses the peer-to-peer networking model, so you do not need to set up a dedicated server or change your internal network settings. Also, LanToucher Network Chat does not require a permanent connection to the Internet.

LanToucher Network Chat software supports the system tray (taskbar notification area) and sound notification on new instantaneous messages.

And it is absolutely FREE!


Overview and Features

OVERVIEW

Designed as a "net send" and WinPopup replacement, LanToucher Network Chat provides compatibility with Microsoft WinPopup (Windows 95/98/ME), Messenger service / 'net send' (Windows NT 4/2000/XP/Server 2003) and Samba client (Unix/Linux). LanToucher Network Chat takes up minimal memory and network resources. In the main window you can send your messages to a specific recipient or to all computers at once, reply to incoming messages and view the history. You can minimize the program and let it stay in the system tray using the ESC key. You can always restore the program by clicking the tray icon or pressing the CTRL+` keys at the same time. Newer messages are placed in the bottom of the message history box of LanToucher Network Chat while the old ones go up. This is a great feature as it allows you to keep track of what has been said.

FEATURES
  • Proven cross-platform compatibility
    LanToucher Network Chat is fully compatible with Messenger service / 'net send' (Windows NT 4/2000/XP/Server 2003), WinPopup messenger (Windows 3.x/95/98/Me), Samba smbclient (Unix/Linux) and a broad range of compatible Network Chats based on the standard SMB/CIFS protocol.
  • All 32-bit and 64-bit Windows versions support
    LanToucher Network Chat supports the following x86 and x64 operating systems: Windows 95, Windows 98, Windows Millennium Edition, Windows NT 4, Windows 2000, Windows XP, Windows Vista, Windows 7, Windows 8, Windows 10, Windows Server 2003, Windows Server 2008, Windows Server 2012, and Windows Server 2016.
  • Low memory and network bandwidth usage
    Unlike most fancy chat applications, LanToucher Network Chat needs less than 8 megabytes of RAM and generates minimal network traffic.
  • True peer-to-peer (serverless) connectivity
    LanToucher Network Chat does not require a dedicated server, so users can communicate directly with one another.
  • Multiprotocol support
    LanToucher Network Chat works perfectly over any available network transport protocol (TCP/IP, IPX/SPX, or NetBEUI).
  • Advanced Messenger service support (Windows NT 4/2000/XP/Server 2003)
    This feature fully controls the state of the Messenger service. Unlike other compatible chat programs for intranets, LanToucher Network Chat pauses the service at startup, and restarts it when shutting down so that you could still receive messages using the Messenger service before logging on, after logging off, and while at the Welcome screen (Windows XP).

SCREENSHOTS

Main window

LanToucher Network Chat screenshot

The main window of LanToucher Network Chat with a conversation example

Options dialog

In this dialog you can configure LanToucher Network Chat to suit your needs and preferences.

Main Menu

Taskbar Notification Area icon

Taskbar Notification Area icon


System requirements

LANTOUCHER NETWORK CHAT SYSTEM REQUIREMENTS
  • Microsoft Windows 95/98/NT 4/2000/ME/XP/Vista/7/8/10/Server 2003/Server 2008/Server 2012/Server 2016
  • K6™ or Pentium Processor
  • 12 MB RAM (24 MB recommended)
  • 4 MB hard drive space
  • Network interface card connected to a Local Area Network
  • Another computer running LanToucher; WinPopup-compatible mailer; Network Chat service / 'net send' (Windows NT 4/2000/XP/Server 2003); Samba client (Unix/Linux)
  • DirectSound-compatible sound card recommended

Notes

  • Make sure that your system meets the minimum system and hardware requirements for LanToucher.
  • Make sure that your machine is connected to a LAN with appropriate network cable (if applicable) and the Client for Microsoft Networks is installed.
  • Network Discovery and File Sharing must be enabled (Windows Vista/Windows 7/Windows 8/Windows 10/Server 2008/Server 2012/Server 2016)


MAIN WINDOW

The main window is your main work area in LanToucher Network Chat.

Message History field

The Message History field displays all sent and received messages.

The Message History field displays all sent and received messages. Newer messages are placed in the bottom of the message history box while the old ones go up.

If a message contains an URL (preceded with http://, ftp://, mailto: etc.), or UNC name (i.e. \\SOMESERVER\someshare), it will work as a clickable hyperlink, so that you can click the link to go to that URL or UNC.

New Message field

The New Message field is the place where you compose your outgoing messages.

Use the Send button to send private messages. Use the Send To All button to send domain/workgroup messages.

The maximum size of a private message is limited to 1600 characters, while domain/workgroup messages cannot exceed 128 characters.

Sending Buttons

The Sending Buttons are intended to send your messages to recipients.

The Send button sends your private messages to the users or computers you specify or select from within your Recipient menu.

The Send To All button broadcasts your messages to the whole domain/workgroup you are currently on. Each user of the domain/workgroup will receive the message.

Recipient menu

The Recipient menu allows you to build a custom list of contacts (users, computers).

To add a new contact to the dropdown list, type the name in the edit field, and then click the Add button.

To remove a contact from the dropdown list, select the contact that you want to remove, and then click Remove.

ENTER Action selector

Use the ENTER Action selector to select the current action for the ENTER key.

If the current selection is Line feed, the cursor will move to the next line when you press the ENTER key while editing your new message.

Select the Send radio button to have the message sent to the specified recipient each time you hit ENTER.

Select the Send To All radio button if you would like LanToucher Network Chat to broadcast your messages to the whole domain/workgroup you are currently on by pressing ENTER


OPTIONS DIALOG

The Options dialog lets you customize LanToucher Network Chat. The following options are available:

  • Load LanToucher at Windows startup;
  • Always on Top;
  • Space between messages;
  • Sound notification;
  • By default, send outgoing messages using [ Logged on user name | Local computer name ];
  • Keep outgoing message in edit box after sending;
  • Show tooltips in windows;
  • Show Tip of the Day dialog on startup;
  • No confirmation when deleting all messages;
  • No confirmation on program exit;
  • Hot Key to open main window;

Options: General

Load LanToucher Network Chat at Windows startup

If this is on, LanToucher Network Chat will start automatically each time Windows starts.

Always on Top

This option specifies whether other windows can cover up the main window of LanToucher Network Chat.

Space between messages

If this option is enabled, LanToucher Network Chat places an empty line (space) between adjacent messages.

Sound notification;

This option specifies whether a notification sound is played when an incoming message arrives.

When this option is on, the original sound effects will be played via desktop stereo speakers or headphones connected to a DirectSound-compatible audio device (sound card). Note that the audio device must be properly installed and configured.

By default, send outgoing messages using [ Logged on user name | Local computer name ]

This option lets you specify the default sender of outgoing messages.

When the Logged on user name radio button is selected, then the user you are sending to will receive your message with your logged on user name (e.g. John Doe) in the "From" field.

If you select the Local computer name radio button, then the user you are sending to will receive your message with local machine name (e.g. Krypton) in the "From" field.

Keep outgoing message in edit box after sending

This option specifies whether your just sent message is remaining in the edit box or it is deleted automatically.

Show tooltips in windows

Enable this to turn on the tooltips (hints) for the controls (i.e. buttons, check boxes etc.). Each tooltip displays a brief description for a control.

Show Tip of the Day dialog on startup

When this is on, the "Tip of the Day" dialog is displayed each time LanToucher Network Chat starts.

No confirmation when deleting all messages

Check this to disable the confirmation when you are about to delete all the messages.

No confirmation on program exit

Turn this on to disable the confirmation on LanToucher Network Chat shutdown.

Hot Key to open main window

Here you can change the default Hot Key for the main window.


CONTACT BROWSER DIALOG

In this dialog you can see the contacts who are currently online and/or add one or more contacts to your Recipient menu.

To add the selected contacts to your Recipient menu, use the Add button. To refresh network status, click the Refresh button.

Push buttons
Select All
Selects all items in the list.
Select None
Deselects all items in the list.
Invert
Inverts the current selection of items.
Add
Adds the selected contact(s) to your Recipient menu.
Refresh
Refreshes the list of available contacts.
Help
Opens up this Online Help.


MENUS, TOOLBARS, AND HOT KEYS
File menu

 | Delete All Messages Deletes all messages in Message History.
(CTRL+O) | Options Opens the Options dialog.
 | Exit Exits the LanToucher Network Chat application.

Edit menu

(CTRL+Z) | Undo Windows standard Undo function
(CTRL+X) | Cut Windows standard Cut function
(CTRL+C) | Copy Windows standard Copy function
(CTRL+V) | Paste Windows standard Paste function
 | Delete Windows standard Delete function
(CTRL+A) | Select All Windows standard Select All function
(CTRL+F) | Find Opens the Search dialog.
 | Message Font Opens the font selection dialog, where you can select the font you wish to use in the messages.

Help menu

Contents
Calls this online help.
Tip of the Day
Shows the "Tip of the Day" dialog.
LanToucher Network Chat Home Page
Opens the LanToucher Network Chat home page (requires an Internet connection).
Try the full version (LanToucher Messenger)
Opens the LanToucher software downloads page (requires an Internet connection).
About LanToucher Network Chat
Opens the About LanToucher Network Chat dialog.

Context menus

This context menu is available when you click the LanToucher Network Chat icon in the taskbar notification area (system tray) with the right mouse button.

Sound
Enables or disables application-wide sound notifications on events.
Open
Restores the LanToucher Network Chat Main window and brings it to the foreground.
Hide (Minimize)
When the Main window is in foreground, the Hide (Minimize) command lets you minimize LanToucher Network Chat to the Windows taskbar or the taskbar notification area.
Exit
Exits the LanToucher Network Chat application.

This context menu is available in Message History.

(CTRL+C) | Copy Windows standard Copy function
(CTRL+A) | Select All Windows standard Select All function
 | Delete All Messages Deletes all messages in Message History.


ABOUT DIALOG

The about dialog displays the release version number, copyrights and other information.


GETTING STARTED -- LEARNING THE BASICS

This brief tutorial will show you the basics of how to use LanToucher Network Chat. Just follow these 4 easy steps:

Step 1:
  • First of all, start LanToucher Network Chat if it is not already running. To start LanToucher Network Chat, double-click the LanToucher Network Chat icon on the desktop.
  • If LanToucher Network Chat is in the minimized state, restore it by clicking its icon in the taskbar notification area or using the CTRL+` global shortcut.
  • Compose your outgoing message in the edit box named New Message.

Step 2:
  • In the Recipient field, specify the user or computer you want to send the message to.
  • To add the user or computer to the Recipient menu, click the Add button.

Step 3:
  • You can send messages to individual recipients as well as to multiple recipients simultaneously.
  • Click the Send button to send the message to the recipient you specified.
  • Click the Send To All button to broadcast the message to all users of your domain/workgroup.
  • After the message has been sent, LanToucher Network Chat adds it to Message History.

Step 4:
  • Hit ESC to minimize LanToucher Network Chat to the Windows taskbar.

For more information on using LanToucher Network Chat, please refer to the LanToucher Network Chat Online Help.


USING LANTOUCHER NETWORK CHAT

Adding New Contacts to Recipient menu

To add a contact to your Recipient menu, just type a user or computer name in the Recipient edit box, and then click the Add button.

When you add an IP address, it will automatically translate to one or more messaging names, if the remote computer is capable of receiving SMB/CIFS messages.

Sending Private messages

To send a private message (whisper), click on the New Message field and type in your message. Then, move to the Recipient field using TAB, or just click on it, and then specify the recipient for your message in the box or select the recipient from the Recipient list if you have added them previously.

Click the Send button to send your message to the recipient.

When you send messages, they are automatically added to Message History.

Sending Domain/Workgroup messages

To send a domain/workgroup message (broadcast), you can use either the Send To Domain button or the ENTER key (if the ENTER Action has been set to Send To All).

It is not required to specify recipients when you are sending to everyone in your domain/workgroup.

Minimizing LanToucher Network Chat to the taskbar or the taskbar notification area

After you have received or sent an instant message, you may want to minimize LanToucher Network Chat to the Windows taskbar or the taskbar notification area (system tray) and get back to your work. To minimize LanToucher Network Chat, just press the ESC key.

In order to restore LanToucher Network Chat, click the system tray icon or press CTRL + `.

Deleting All Messages

Use this function if you wish to clear the entire message base. Note that the messages are deleted permanently, so make sure you have made a backup of your messages. To delete all messages, use the Delete All Messages command from the File menu or the Message History context menu.


Windows Vista/Server 2008 Network Discovery and File Sharing

ENABLING NETWORK DISCOVERY AND FILE SHARING IN WINDOWS VISTA AND WINDOWS SERVER 2008

For the LanToucher software to operate correctly under Windows Vista or Windows Server 2008, both Network Discovery and File Sharing must be enabled.

To do this, just follow these 3 easy steps:

Step 1:
  • On the Start menu, click Control Panel.
  • Go to Network and Internet.
  • Select Network and Sharing Center to view the current status of Sharing and Discovery.

  • If either or both Network discovery and File sharing are Off, then proceed to Step 2.

Step 2:
  • To enable Network discovery, select Turn on network discovery, and then click Apply.
  • To enable File sharing, select Turn on file sharing, and then click Apply.

Step 3:
  • After you have successfully enabled Network Discovery and File Sharing, the Sharing and Discovery panel should look like the images below.

Windows Vista:

Windows Server 2008:

  • Now you are ready to use LanToucher Network Chat!


Windows 7/8/10/Server 2008 R2/Server 2012/Server 2016 Network Discovery and File Sharing

ENABLING NETWORK DISCOVERY AND FILE AND PRINTER SHARING IN WINDOWS 7, WINDOWS 8, WINDOWS 10, WINDOWS SERVER 2008 R2, WINDOWS SERVER 2012, AND WINDOWS SERVER 2016

For the LanToucher software to operate correctly under Windows 7, Windows 8, Windows 10, Windows Server 2008 R2, Windows Server 2012, or Windows Server 2016, both Network Discovery and File And Printer Sharing must be enabled.

To do this, just follow these 2 easy steps:

Step 1:
  • On the Start menu, click Control Panel.
  • Go to Network and Internet.
  • Select Network and Sharing Center
  • Click Change advanced sharing settings to view the current status of Sharing and Discovery.

  • If either or both Network discovery and File and printer sharing are Off, then proceed to Step 2.

Step 2:
  • To enable Network discovery, select Turn on network discovery.
  • To enable File and printer sharing, select Turn on file and printer sharing.
  • Click Save changes for the settings to take effect.

  • Now you are ready to use LanToucher Network Chat!


UNINSTALLING

To remove the LanToucher Network Chat application from your system, please follow the steps:

  • Open the Windows Control Panel.
  • Open the Programs and Features (Add/Remove Programs) applet.
  • Find the application name in the list and select it.
  • Follow the instructions in the Uninstall Wizard.


END-USER LICENSE AGREEMENT

VITAL SOUND LABORATORY
END-USER LICENSE AGREEMENT

IMPORTANT-READ CAREFULLY:

1. GENERAL

This End-User License Agreement ("EULA") is a legal agreement between you and Vital Sound Laboratory for the LanToucher Network Chat software, which may include computer software and associated media, electronic documentation and printed materials ("The Software"). By installing, copying, distributing or otherwise using The Software you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, you must not install, use or distribute The Software, and you must destroy all copies of The Software that you have.

The Software is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The Software is licensed, not sold and always remains the property of Vital Sound Laboratory.

2. LICENSING

The Software is provided free of charge, and, therefore, on an "as is" basis. You are hereby granted a non-exclusive, royalty-free license to use The Software for any purposes for an unlimited period of time as described in Section 1 and Sections 3 - 10 below.

3. RESTRICTIONS

You may not reverse engineer, decompile, or disassemble The Software, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

You may not rent, lease, or lend The Software except as described in Section 7 below.

4. TRANSFER OF RIGHTS

You may permanently transfer all of your rights under this EULA, provided you retain no copies of The Software, you transfer all of The Software (including all component parts, documentation upgrades, and this EULA), and the recipient agrees to the terms of this EULA. If The Software is an upgrade, any transfer must include all prior versions of The Software.

5. TERMINATION

Without prejudice to any other rights, Vital Sound Laboratory may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of The Software.

6. COPYRIGHT

All title, including but not limited to copyrights, in and to The Software and any copies thereof are owned by Vital Sound Laboratory. All title and intellectual property rights in and to the content which may be accessed through use of The Software is the property of the respective content owner and may be protected by applicable copyright or other intellectual property laws and treaties. This EULA grants you no rights to use such content. All rights not expressly granted are reserved by Vital Sound Laboratory.

7. LIMITED WARRANTY

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, VITAL SOUND LABORATORY DISCLAIMS ALL WARRANTIES AND CONDITIONS, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR APARTICULAR PURPOSE, TITLE, AND NON-INFRINGEMENT, WITH REGARD TO THE SOFTWARE, AND THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES. VITAL SOUND LABORATORY DOES NOT WARRANT THAT THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR THAT THE OPERATION OF THE SOFTWARE WILL BE UNINTERRUPTED OR ERROR FREE.

8. LIMITATIONS OF REMEDIES AND LIABILITY

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL VITAL SOUND LABORATORY BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, CONSEQUENTIAL OR OTHER DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF PROFITS, BUSINESS INTERRUPTION, LOSS OF INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE PRODUCT OR THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES, EVEN IF VITAL SOUND LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

9. DISTRIBUTION

You are hereby licensed to make as many copies of the installation package for The Software as you wish; give exact copies of the original installation package for The Software to anyone; and distribute the original installation package for The Software in its unmodified form via electronic or other means. The Software must be clearly identified as a freeware version where described.

You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing The Software including documentation with other products (commercial or otherwise) without prior written permission from Vital Sound Laboratory. You are also prohibited from distributing components of The Software other than the complete original installation package.


Customer and Technical Support, Feedback

CUSTOMER AND TECHNICAL SUPPORT

Before contacting Customer Support, please consult the help file. It contains the answers to some of our most frequently asked questions and may quickly and easily provide a solution to your difficulty. Also, please ensure you have the latest version of the software. The latest version of LanToucher Network Chat can be downloaded from our web site at http://www.vitalsoundlab.com/downloads.

If you are still experiencing problems, please feel free to contact our Customer Support representatives at support@vitalsoundlab.com. Or you can visit our web site and fill out the online form at http://www.vitalsoundlab.com/support.

Please ensure that your computer system meets the minimum system requirements that are listed in the LanToucher help file. Our Customer Support representatives will not be able to help customers whose computers do not meet the requirements. So that we can better help you, please have the following information ready:

  • Where did you acquire the product?
  • Product version number
  • Exact error message reported (if any) and a brief description of the problem
  • Your computer's processor type and speed (e.g. Pentium 233 MHz)
  • Amount of RAM
  • Operating system
  • Your network configuration
  • Brand of network interface card (NIC)
  • Network software you are running

Vital Sound Laboratory makes every effort to provide you with a quick response to your questions or problems.

FEEDBACK

We welcome your comments, suggestions, and ideas for improving our instant messaging software. Please feel free to send your feedback to lantoucher@vitalsoundlab.com


ACKNOWLEDGEMENTS
  • Thanks to the beta testers who help track down problems before LanToucher is publicly released.
  • Thanks to all users who have contributed to LanToucher by communicating problems and suggestions.
  • Thanks to all users who supported the development of this software by registering and recommending it to their friends and colleagues.

Windows, and the Windows logo are trademarks of Microsoft Corporation. All other products are trademarks or registered trademarks of their respective owners.